Index: PostgreSqlDotnetCore/Views/Blog/Create.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Blog/Create.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Blog/Create.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -17,5 +17,5 @@
         @Html.ValidationSummary(true, "", new { @class = "text-danger" })
 
-       @* <div class="form-group">
+        <div class="form-group">
             @Html.LabelFor(model => model.date_askes, htmlAttributes: new { @class = "control-label col-md-2" })
             <div class="col-md-10">
@@ -24,18 +24,4 @@
             </div>
         </div>
-        *@
-      @*  <div class="form-group">
-            @Html.LabelFor(model => model.date_askes, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.date_askes, new { htmlAttributes = new { @class = "form-control", @type = "date", value = DateTime.UtcNow.ToString("yyyy-MM-dd") } })
-                @Html.ValidationMessageFor(model => model.date_askes, "", new { @class = "text-danger" })
-            </div>
-        </div>
-        *@
-
-       
-
-
-       
 
         <div class="form-group">
Index: PostgreSqlDotnetCore/Views/Blog/Details.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Blog/Details.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Blog/Details.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -5,8 +5,8 @@
 }
 
-@*<h2>Одговори</h2>*@
-@*
+<h2>Details</h2>
+
 <div>
-   <h4>Blog post for consultations</h4>
+    <h4>Blog post for consultations</h4>
     <hr />
     <dl class="dl-horizontal">
@@ -33,5 +33,4 @@
             @Html.DisplayFor(model => model.description)
         </dd>
-        
         <dt>
             @Html.DisplayNameFor(model => model.users_id)
@@ -42,12 +41,9 @@
         </dd>
 
-
     </dl>
 </div>
-*@
-
 <hr/>
 <div>
-    <h2>Answers</h2>
+    <h4>Blog post anwers</h4>
     <hr />
 
@@ -77,22 +73,8 @@
 
                 <td>
-                  
-                    @Html.ActionLink("Details", "Details", "BlogPostAnswers", new { id = item.id }) 
-                    @Html.ActionLink("Create an Answer", "Create", "BlogPostAnswers", new { id = item.BlogPostConsultationid, parentId = item.id })
+                    @Html.ActionLink("Edit", "Edit", "BlogPostAnswers", new { id = item.id }) |
+                    @Html.ActionLink("Details", "Details", "BlogPostAnswers", new { id = item.id }) |
+                    @Html.ActionLink("Delete", "Delete", "BlogPostAnswers", new { id = item.id })
                 </td>
-
-                @if (item.usersid == ViewBag.CurrentUserId)
-
-                {
-                    <td>
-                       
-                        @Html.ActionLink("Edit", "Edit", "BlogPostAnswers", new { id = item.id })
-                        @Html.ActionLink("Delete", "Delete", "BlogPostAnswers", new { id = item.id })
-                        
-
-                    </td>
-                }
-
-
             </tr>
         }
@@ -101,16 +83,5 @@
 </div>
 <p>
-    @Html.ActionLink("Create an Answer", "Create", "BlogPostAnswers", new { id = Model.id, parentId = Model.id })
+    @Html.ActionLink("Edit", "Edit", new { id = Model.id }) |
     @Html.ActionLink("Back to List", "Index")
 </p>
-
-
-@if (Model.users_id == ViewBag.CurrentUserId)
-
-{
-    <p>
-        @Html.ActionLink("Edit", "Edit", new { id = Model.id })
-       
-
-    </p>
-}
Index: PostgreSqlDotnetCore/Views/Blog/Edit.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Blog/Edit.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Blog/Edit.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -41,5 +41,5 @@
         </div>
     </div>
-    @*<div class="form-group">
+    <div class="form-group">
         @Html.LabelFor(model => model.users_id, htmlAttributes: new { @class = "control-label col-md-2" })
         <div class="col-md-10">
@@ -48,5 +48,5 @@
         </div>
     </div>
-    *@
+
     <div class="form-group">
         <div class="col-md-offset-2 col-md-10">
Index: PostgreSqlDotnetCore/Views/Blog/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Blog/Index.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Blog/Index.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -1,3 +1,3 @@
-﻿@model IEnumerable<PostgreSqlDotnetCore.Models.BlogUsers>
+﻿@model IEnumerable<PostgreSqlDotnetCore.Models.BlogPostConsultation>
 
 @{
@@ -14,20 +14,14 @@
 
         <th>
-            @Html.DisplayNameFor(model => model.id)
+            @Html.DisplayNameFor(model => model.date_askes)
         </th>
         <th>
-            @Html.DisplayNameFor(model => model.user_name)
+            @Html.DisplayNameFor(model => model.title)
         </th>
         <th>
-            @Html.DisplayNameFor(model => model.user_email)
+            @Html.DisplayNameFor(model => model.description)
         </th>
         <th>
-            @Html.DisplayNameFor(model => model.consultation_title)
-        </th>
-        <th>
-            @Html.DisplayNameFor(model => model.consultation_description)
-        </th>
-        <th>
-            @Html.DisplayNameFor(model => model.consultation_date)
+            @Html.DisplayNameFor(model => model.users_id)
         </th>
         <th></th>
@@ -35,65 +29,27 @@
     </tr>
 
-    @foreach (var item in Model)
-    {
-        <tr>
-            <td>
-                @Html.DisplayFor(modelItem => item.id)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.user_name)
-            </td>
-            <td>
-                @Html.DisplayFor(model => item.user_email)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.consultation_title)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.consultation_description)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.consultation_date)
-            </td>
+@foreach (var item in Model) {
+    <tr>
+        <td>
+            @Html.DisplayFor(modelItem => item.date_askes)
+        </td>
+        <td>
+            @Html.DisplayFor(modelItem => item.title)
+        </td>
 
-            @*<td>
-        @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
-        @Html.ActionLink("Answers", "Details", new { id = item.id }) |
-        @Html.ActionLink("Delete", "Delete", new { id = item.id })
+        <td>
+            @Html.DisplayFor(modelItem => item.description)
         </td>
-        *@
+        <th>
+            @Html.DisplayFor(model => item.users_id)
+        </th>
 
-
-
-
-            @if (item.users_id == ViewBag.CurrentUserId)
-                
-            {
-                <td>
-                    @Html.ActionLink("Edit", "Edit", new { id = item.id })
-                    @Html.ActionLink("Delete", "Delete", new { id = item.id })
-
-                </td>
-            }
-            
-          
-
-            @if (item.users_id == ViewBag.CurrentUserId || item.users_id != ViewBag.CurrentUserId)
-            {
-                <td>
-
-                    @Html.ActionLink("Answers", "Details", new { id = item.id })
-
-
-                </td>
-            }
-
-
-
-
-
-
-        </tr>
-    }
+        <td>
+            @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
+            @Html.ActionLink("Details", "Details", new { id = item.id }) |
+            @Html.ActionLink("Delete", "Delete", new { id = item.id })
+        </td>
+    </tr>
+}
 
 </table>
Index: PostgreSqlDotnetCore/Views/BlogPostAnswers/Create.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/BlogPostAnswers/Create.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/BlogPostAnswers/Create.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -17,5 +17,5 @@
     @Html.ValidationSummary(true, "", new { @class = "text-danger" })
 
-   @*  <div class="form-group">
+    <div class="form-group">
         @Html.LabelFor(model => model.parent_id, htmlAttributes: new { @class = "control-label col-md-2" })
         <div class="col-md-10">
@@ -24,5 +24,5 @@
         </div>
     </div>
- *@
+
     <div class="form-group">
         @Html.LabelFor(model => model.reply, htmlAttributes: new { @class = "control-label col-md-2" })
Index: PostgreSqlDotnetCore/Views/BlogPostAnswers/Details.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/BlogPostAnswers/Details.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/BlogPostAnswers/Details.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -29,39 +29,6 @@
     </dl>
 </div>
-<br/>
-@{
-    if(Model.blogPostAnswers.Count > 0)
-    {
-
-        <h4>Replay under Answers</h4>
-        <hr />
-        foreach (BlogPostAnswers item in Model.blogPostAnswers)
-        {
-
-            <dl class="dl-horizontal">
-                <dt>
-                    @Html.DisplayNameFor(model => item.parent_id)
-                </dt>
-
-                <dd>
-                    @Html.DisplayFor(model => item.parent_id)
-                </dd>
-
-                <dt>
-                    @Html.DisplayNameFor(model => item.reply)
-                </dt>
-                <dd>
-                    @Html.DisplayFor(model => item.reply)
-                </dd>
-
-
-            </dl>
-        }
-        <hr />
-    }
-}
 <p>
     @Html.ActionLink("Edit", "Edit", new { id = Model.id }) |
-    @* @Html.ActionLink("Back to List", "Index") *@
-    <a href="javascript:void(0);" onclick="history.go(-1);">Back to List</a>
+    @Html.ActionLink("Back to List", "Index")
 </p>
Index: PostgreSqlDotnetCore/Views/City/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/City/Index.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/City/Index.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -16,24 +16,23 @@
             @Html.DisplayNameFor(model => model.name)
         </th>
-
+    
         <th></th>
 
     </tr>
 
-    @foreach (var item in Model)
-    {
-        <tr>
-            <td>
-                @Html.DisplayFor(modelItem => item.name)
-            </td>
+@foreach (var item in Model) {
+    <tr>
+        <td>
+            @Html.DisplayFor(modelItem => item.name)
+        </td>
+     
 
-
-            <td>
-                @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
-                @Html.ActionLink("Details", "Details", new { id = item.id }) |
-                @Html.ActionLink("Delete", "Delete", new { id = item.id })
-            </td>
-        </tr>
-    }
+        <td>
+            @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
+            @Html.ActionLink("Details", "Details", new { id = item.id }) |
+            @Html.ActionLink("Delete", "Delete", new { id = item.id })
+        </td>
+    </tr>
+}
 
 </table>
Index: PostgreSqlDotnetCore/Views/Customer/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Customer/Index.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Customer/Index.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -17,15 +17,7 @@
     {
 
-       /* <p>
+        <p>
             @Html.ActionLink("Create New", "Create")
         </p>
-        */
-
-        @if (ViewBag.CanCreate)
-        {
-            <p>
-                @Html.ActionLink("Create New", "Create")
-            </p>
-        }
         <table class="table">
             <tr>
Index: PostgreSqlDotnetCore/Views/PetCares/Create.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/PetCares/Create.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/PetCares/Create.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -30,11 +30,4 @@
         </div>
     </div>
-        <div class="form-group">
-            @Html.LabelFor(model => model.start_date, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.start_date, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.start_date, "", new { @class = "text-danger" })
-            </div>
-        </div>
     <div class="form-group">
         @Html.LabelFor(model => model.dateending, htmlAttributes: new { @class = "control-label col-md-2" })
@@ -44,5 +37,4 @@
         </div>
     </div>
-    
 
 
@@ -54,5 +46,4 @@
         </div>
     </div> *@
-    @*
         <div class="form-group">
             <label class="control-label col-md-2" for="vetcentersid">VetCenter:</label>
@@ -60,25 +51,11 @@
                 <select class="form-control" id="vetcentersid" name="vetcentersid">
                     <option value="">Select VetCenter</option>
-                    <option value="4">Vet Svet</option>
-                    <option value="5">Veterinarian Ambulance - Dr.Tonit</option>
-                    <option value="6">Vet In</option>
+                    <option value="1">Vet Svet</option>
+                    <option value="2">Veterinarian Ambulance - Dr.Tonit</option>
+                    <option value="4">Vet In</option>
                 </select>
             </div>
         </div>
-        *@
 
-        <div class="form-group">
-            <label class="control-label col-md-2" for="vetcentersid">VetCenter:</label>
-            <div class="col-md-10">
-                @Html.DropDownList("vetcentersid", (SelectList)ViewBag.VetCenters, "Select VetCenter", new { @class = "form-control" })
-            </div>
-        </div>
-
-        <div class="form-group">
-            <label class="control-label col-md-2" for="pet_id">UserPet:</label>
-            <div class="col-md-10">
-                @Html.DropDownList("pet_id", (SelectList)ViewBag.Pets, "Select Pets", new { @class = "form-control" })
-            </div>
-        </div>
 
 
Index: PostgreSqlDotnetCore/Views/PetCares/Delete.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/PetCares/Delete.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/PetCares/Delete.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -19,10 +19,6 @@
         </dt>
         <dt>
-            @Html.DisplayNameFor(model => model.start_date)
-        </dt>
-        <dt>
             @Html.DisplayNameFor(model => model.dateending)
         </dt>
-       
         <dt>
             @Html.DisplayNameFor(model => model.usersid)
@@ -40,10 +36,6 @@
         </dd>
         <dd>
-            @Html.DisplayFor(model => model.start_date)
-        </dd>
-        <dd>
             @Html.DisplayFor(model => model.dateending)
         </dd>
-       
         <dd>
             @Html.DisplayFor(model => model.usersid)
Index: PostgreSqlDotnetCore/Views/PetCares/Details.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/PetCares/Details.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/PetCares/Details.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -33,11 +33,4 @@
         </dd>
         <dt>
-            @Html.DisplayNameFor(model => model.start_date)
-        </dt>
-
-        <dd>
-            @Html.DisplayFor(model => model.start_date)
-        </dd>
-        <dt>
             @Html.DisplayNameFor(model => model.usersid)
         </dt>
Index: PostgreSqlDotnetCore/Views/PetCares/Edit.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/PetCares/Edit.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/PetCares/Edit.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -32,11 +32,4 @@
         </div>
     </div>
-        <div class="form-group">
-            @Html.LabelFor(model => model.start_date, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.start_date, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.start_date, "", new { @class = "text-danger" })
-            </div>
-        </div>
 
     <div class="form-group">
@@ -47,23 +40,6 @@
         </div>
     </div>
-    
 
-        <div class="form-group">
-            @Html.LabelFor(model => model.vetcentersid, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.DropDownListFor(model => model.vetcentersid, (SelectList)ViewBag.VetCenters, "Select VetCenter", new { @class = "form-control" })
-                @Html.ValidationMessageFor(model => model.vetcentersid, "", new { @class = "text-danger" })
-            </div>
-        </div>
-
-        <div class="form-group">
-            @Html.LabelFor(model => model.pet_id, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.DropDownListFor(model => model.pet_id, (SelectList)ViewBag.Pets, "Select Pet", new { @class = "form-control" })
-                @Html.ValidationMessageFor(model => model.pet_id, "", new { @class = "text-danger" })
-            </div>
-        </div>
-
-   @*<div class="form-group">
+    <div class="form-group">
         @Html.LabelFor(model => model.vetcentersid, htmlAttributes: new { @class = "control-label col-md-2" })
         <div class="col-md-10">
@@ -72,13 +48,4 @@
         </div>
     </div>
-    *@
-        @*
-        <div class="form-group">
-            <label class="control-label col-md-2" for="vetcentersid">VetCenter:</label>
-            <div class="col-md-10">
-                @Html.DropDownList("vetcentersid", (SelectList)ViewBag.VetCenters, "Select VetCenter", new { @class = "form-control" })
-            </div>
-        </div>
-    *@
 
 
Index: PostgreSqlDotnetCore/Views/PetCares/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/PetCares/Index.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/PetCares/Index.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -20,10 +20,6 @@
         </th>
         <th>
-            @Html.DisplayNameFor(model => model.start_date)
-        </th>
-        <th>
             @Html.DisplayNameFor(model => model.dateending)
         </th>
-       
         <th>
             @Html.DisplayNameFor(model => model.usersid)
@@ -32,7 +28,4 @@
             @Html.DisplayNameFor(model => model.vetcentersid)
         </th>
-        <th>
-            @Html.DisplayNameFor(model => model.PetsClass.name)
-        </th>
 
         <th></th>
@@ -40,39 +33,31 @@
     </tr>
 
-    @foreach (var item in Model)
-    {
-        <tr>
-            <td>
-                @Html.DisplayFor(modelItem => item.title)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.description)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.start_date)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.dateending)
-            </td>
-            
-            <td>
-                @Html.DisplayFor(modelItem => item.usersid)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.vetcentersid)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.PetsClass.name)
-            </td>
+@foreach (var item in Model) {
+    <tr>
+        <td>
+            @Html.DisplayFor(modelItem => item.title)
+        </td>
+        <td>
+            @Html.DisplayFor(modelItem => item.description)
+        </td>
+        <td>
+            @Html.DisplayFor(modelItem => item.dateending)
+        </td>
+        <td>
+            @Html.DisplayFor(modelItem => item.usersid)
+        </td>
+        <td>
+            @Html.DisplayFor(modelItem => item.vetcentersid)
+        </td>
 
 
 
-            <td>
-                @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
-                @Html.ActionLink("Details", "Details", new { id = item.id }) |
-                @Html.ActionLink("Delete", "Delete", new { id = item.id })
-            </td>
-        </tr>
-    }
+        <td>
+            @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
+            @Html.ActionLink("Details", "Details", new { id = item.id }) |
+            @Html.ActionLink("Delete", "Delete", new { id = item.id })
+        </td>
+    </tr>
+}
 
 </table>
Index: PostgreSqlDotnetCore/Views/PetDiagnostics/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/PetDiagnostics/Index.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ 	(revision )
@@ -1,7 +1,0 @@
-﻿@model IEnumerable<PostgreSqlDotnetCore.Models.PetDetailsProcedure>
-
-@{
-    ViewBag.Title = "PetDetailsProcedure";
-}
-
-<h2>PetDetailsProcedure</h2>
Index: PostgreSqlDotnetCore/Views/PetDiagnostics/PetDiagnostics.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/PetDiagnostics/PetDiagnostics.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ 	(revision )
@@ -1,71 +1,0 @@
-﻿@model IEnumerable<PostgreSqlDotnetCore.Models.PetDetailsProcedure>
-
-@{
-    ViewData["Title"] = "PetDiagnostics";
-}
-
-<h2>PetDiagnostics</h2>
-
-<p>
-    <a asp-action="Create">Create New</a>
-</p>
-<table class="table">
-    <thead>
-        <tr>
-            <th>
-                @Html.DisplayNameFor(model => model.pet_id)
-            </th>
-            <th>
-                @Html.DisplayNameFor(model => model.pet_name)
-            </th>
-            <th>
-                @Html.DisplayNameFor(model => model.diagnosis_description)
-            </th>
-            <th>
-                @Html.DisplayNameFor(model => model.medicine_name)
-            </th>
-            <th>
-                @Html.DisplayNameFor(model => model.medicine_description)
-            </th>
-            <th>
-                @Html.DisplayNameFor(model => model.therapy_description)
-            </th>
-            <th>
-                @Html.DisplayNameFor(model => model.therapy_date)
-            </th>
-            <th></th>
-        </tr>
-    </thead>
-    <tbody>
-@foreach (var item in Model) {
-        <tr>
-            <td>
-                @Html.DisplayFor(modelItem => item.pet_id)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.pet_name)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.diagnosis_description)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.medicine_name)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.medicine_description)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.therapy_description)
-            </td>
-            <td>
-                @Html.DisplayFor(modelItem => item.therapy_date)
-            </td>
-            <td>
-                @Html.ActionLink("Edit", "Edit", new { /* id=item.PrimaryKey */ }) |
-                @Html.ActionLink("Details", "Details", new { /* id=item.PrimaryKey */ }) |
-                @Html.ActionLink("Delete", "Delete", new { /* id=item.PrimaryKey */ })
-            </td>
-        </tr>
-}
-    </tbody>
-</table>
Index: PostgreSqlDotnetCore/Views/Pets/Create.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Pets/Create.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Pets/Create.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -16,12 +16,4 @@
     <hr />
     @Html.ValidationSummary(true, "", new { @class = "text-danger" })
-
-        <div class="form-group">
-            @Html.LabelFor(model => model.name, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
-            </div>
-        </div>
 
     <div class="form-group">
Index: PostgreSqlDotnetCore/Views/Pets/Delete.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Pets/Delete.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Pets/Delete.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -12,12 +12,4 @@
     <hr />
     <dl class="dl-horizontal">
-
-        <dt>
-            @Html.DisplayNameFor(model => model.name)
-        </dt>
-
-        <dd>
-            @Html.DisplayFor(model => model.name)
-        </dd>
         <dt>
             @Html.DisplayNameFor(model => model.color)
Index: PostgreSqlDotnetCore/Views/Pets/Details.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Pets/Details.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Pets/Details.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -11,11 +11,4 @@
     <hr />
     <dl class="dl-horizontal">
-        <dt>
-            @Html.DisplayNameFor(model => model.name)
-        </dt>
-
-        <dd>
-            @Html.DisplayFor(model => model.name)
-        </dd>
         <dt>
             @Html.DisplayNameFor(model => model.color)
Index: PostgreSqlDotnetCore/Views/Pets/Edit.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Pets/Edit.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Pets/Edit.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -18,11 +18,4 @@
     @Html.HiddenFor(model => model.id)
 
-        <div class="form-group">
-            @Html.LabelFor(model => model.name, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
-            </div>
-        </div>
     <div class="form-group">
         @Html.LabelFor(model => model.color, htmlAttributes: new { @class = "control-label col-md-2" })
Index: PostgreSqlDotnetCore/Views/Pets/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Pets/Index.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Pets/Index.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -12,7 +12,4 @@
 <table class="table">
     <tr>
-        <th>
-            @Html.DisplayNameFor(model => model.name)
-        </th>
 
         <th>
@@ -39,7 +36,4 @@
 @foreach (var item in Model) {
     <tr>
-            <td>
-                @Html.DisplayFor(modelItem => item.name)
-            </td>
         <td>
             @Html.DisplayFor(modelItem => item.color)
Index: PostgreSqlDotnetCore/Views/Products/Create.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Products/Create.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Products/Create.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -48,14 +48,4 @@
         </div>
     </div>
-
-        <div class="form-group">
-            @Html.LabelFor(model => model.available_quantity, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.available_quantity, new { htmlAttributes = new { @class = "form-control" } })
-                <span class="input-group-addon">euro</span>
-                @Html.ValidationMessageFor(model => model.available_quantity, "", new { @class = "text-danger" })
-            </div>
-        </div>
-    
     @*<div class="form-group">
             @Html.LabelFor(model => model.category, htmlAttributes: new { @class = "control-label col-md-2" })
@@ -67,5 +57,5 @@
 
     <div class="form-group">
-        <label for="category">Category:</label>
+        <label for="category">Jobs:</label>
         <select class="form-control" id="category" name="category">
             <option value="">Select category</option>
Index: PostgreSqlDotnetCore/Views/Products/Delete.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Products/Delete.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Products/Delete.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -56,12 +56,4 @@
         </dd>
 
-        <dt>
-            @Html.DisplayNameFor(model => model.available_quantity)
-        </dt>
-
-        <dd>
-            @Html.DisplayFor(model => model.available_quantity)
-        </dd>
-
 
     </dl>
Index: PostgreSqlDotnetCore/Views/Products/Details.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Products/Details.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Products/Details.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -55,12 +55,4 @@
         </dd>
 
-        <dt>
-            @Html.DisplayNameFor(model => model.available_quantity)
-        </dt>
-
-        <dd>
-            @Html.DisplayFor(model => model.available_quantity)
-        </dd>
-
     </dl>
 </div>
Index: PostgreSqlDotnetCore/Views/Products/Edit.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Products/Edit.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Products/Edit.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -54,11 +54,4 @@
         </div>
     </div>
-        <div class="form-group">
-            @Html.LabelFor(model => model.available_quantity, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.available_quantity, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.available_quantity, "", new { @class = "text-danger" })
-            </div>
-        </div>
 
     <div class="form-group">
Index: PostgreSqlDotnetCore/Views/Products/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Products/Index.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Products/Index.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -60,5 +60,5 @@
 </style>
 <h2>All type of products</h2>
-@if (SignInManager.IsSignedIn(User) && ViewBag.hasAccess != null)
+@if (SignInManager.IsSignedIn(User))
 {
     <p>
@@ -98,9 +98,5 @@
                         <div class="col-md-6 col-xs-6">
                             <h3>@item.name</h3>
-                            @if (SignInManager.IsSignedIn(User) && ViewBag.hasAccess != null)
-                            // SignInManager.IsSignedIn(User) && ViewBag.hasAccess != null
-                            //SignInManager.IsSignedIn(User) && ViewBag.hasAccess != null && ViewBag.hasAccess == true
-                         
-                                
+                            @if (SignInManager.IsSignedIn(User))
                             {
                                 <div class="edit-crud-products">
@@ -108,10 +104,7 @@
                                     @Html.ActionLink("Details", "Details", new { id = item.id }) |
                                     @Html.ActionLink("Delete", "Delete", new { id = item.id })
-                                    @Html.ActionLink("Procedure", "Procedure", new { id = item.id })
                                 </div>
                             }
                         </div>
-                        
-                       
                         <div class="col-md-6 col-xs-6 price">
                             <h3>
Index: PostgreSqlDotnetCore/Views/Shared/_Layout.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/Shared/_Layout.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/Shared/_Layout.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -13,5 +13,4 @@
 </head>
 <body>
-    @* <h1>@(ViewBag.isAuthenticated == null ? "krij" : "prikazi")</h1> *@
     <header>
         <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
@@ -27,50 +26,22 @@
                             <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                         </li>
-                        @{
-                            if (ViewBag.isAuthenticated != null)
-                            {
-                                <li class="nav-item">
-                                    <a class="nav-link text-dark" asp-area="" asp-controller="Pets" asp-action="Index">Pets</a>
-                                </li>
-                            }
-                        }
+                        <li class="nav-item">
+                            <a class="nav-link text-dark" asp-area="" asp-controller="Pets" asp-action="Index">Pets</a>
+                        </li>
                         <li class="nav-item">
                             <a class="nav-link text-dark" asp-area="" asp-controller="Products" asp-action="Index">Products</a>
                         </li>
-                        @{
-                            if (ViewBag.isAuthenticated != null)
-                            {
-                                <li class="nav-item">
-                                    <a class="nav-link text-dark" asp-area="" asp-controller="PetCares" asp-action="Index">Pet Cares</a>
-                                </li>
-                                <li class="nav-item">
-                                    <a class="nav-link text-dark" asp-area="" asp-controller="Customer" asp-action="Index">Manage Customers</a>
-                                </li>
-                               @* <li class="nav-item">
-                                    <a class="nav-link text-dark" asp-area="" asp-controller="City" asp-action="Index">Manage Cities</a>
-                                </li>
-                               *@
-                                <li class="nav-item">
-                                    <a class="nav-link text-dark" asp-area="" asp-controller="Blog" asp-action="Index">BlogPost</a>
-                                </li>
-                            }
-
-                          
-
-                            
-                        }
-                        @if (ViewBag.OnlyAdminManager != null)
-                        {
-                            <li class="nav-item">
-                                <a class="nav-link text-dark" asp-area="" asp-controller="City" asp-action="Index">Manage Cities</a>
-                            </li>
-                        }
-
-
-                       
-                        
-
-
-                       
+                        <li class="nav-item">
+                            <a class="nav-link text-dark" asp-area="" asp-controller="PetCares" asp-action="Index">Pet Cares</a>
+                        </li>
+                        <li class="nav-item">
+                            <a class="nav-link text-dark" asp-area="" asp-controller="Customer" asp-action="Index">Manage Customers</a>
+                        </li>
+                        <li class="nav-item">
+                            <a class="nav-link text-dark" asp-area="" asp-controller="City" asp-action="Index">Manage Cities</a>
+                        </li>
+                        <li class="nav-item">
+                            <a class="nav-link text-dark" asp-area="" asp-controller="Blog" asp-action="Index">BlogPost</a>
+                        </li>
                         <li class="nav-item">
                             <a class="nav-link text-dark" asp-area="" asp-controller="VetCenter" asp-action="Index">VetCenters</a>
Index: PostgreSqlDotnetCore/Views/VetCenter/Create.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/VetCenter/Create.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/VetCenter/Create.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -8,127 +8,121 @@
 
 
-@using (Html.BeginForm())
+@using (Html.BeginForm()) 
 {
     @Html.AntiForgeryToken()
-
-    <div class="form-horizontal">
-        <h4>VetCenter</h4>
-        <hr />
-        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
-        <div class="form-group">
-            @Html.LabelFor(model => model.name, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
-            </div>
-        </div>
-
-        <div class="form-group">
-            @Html.LabelFor(model => model.adress, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.adress, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.adress, "", new { @class = "text-danger" })
-            </div>
-        </div>
-        <div class="form-group">
-            @Html.LabelFor(model => model.description, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.description, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.description, "", new { @class = "text-danger" })
-            </div>
-        </div>
-        <div class="form-group">
-            @Html.LabelFor(model => model.workinghours, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.workinghours, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.workinghours, "", new { @class = "text-danger" })
-            </div>
-        </div>
-
-        <div class="form-group">
-            @Html.LabelFor(model => model.phonenumber, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.phonenumber, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.phonenumber, "", new { @class = "text-danger" })
-            </div>
-        </div>
-        <div class="form-group">
-            @Html.LabelFor(model => model.latitude, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.latitude, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.latitude, "", new { @class = "text-danger" })
-            </div>
-        </div>
-        <div class="form-group">
-            @Html.LabelFor(model => model.longitude, htmlAttributes: new { @class = "control-label col-md-2" })
-            <div class="col-md-10">
-                @Html.EditorFor(model => model.longitude, new { htmlAttributes = new { @class = "form-control" } })
-                @Html.ValidationMessageFor(model => model.longitude, "", new { @class = "text-danger" })
-            </div>
-        </div>
-        @*<div class="form-group">
-    @Html.LabelFor(model => model.citiesid, htmlAttributes: new { @class = "control-label col-md-2" })
-    <div class="col-md-10">
-    @Html.EditorFor(model => model.citiesid, new { htmlAttributes = new { @class = "form-control" } })
-    @Html.ValidationMessageFor(model => model.citiesid, "", new { @class = "text-danger" })
-    </div>
-    </div>*@
-
-        @*  <div class="form-group">
-    <label for="citiesid">Citie:</label>
-    <select class="form-control" id="citiesid" name="citiesid">
-    <option value="">Select city</option>
-    <option value="1">Скопје</option>
-    <option value="1">Охрид</option>
-    <option value="1">Скопје</option>
-    <option value="1">Берово</option>
-    <option value="2">Битола</option>
-    <option value="3">Богданци</option>
-    <option value="4">Валандово</option>
-    <option value="5">Велес</option>
-    <option value="6">Виница</option>
-    <option value="7">Гевгелија</option>
-    <option value="8">Гостивар</option>
-    <option value="9">Дебар</option>
-    <option value="10">Делчево</option>
-    <option value="11">Демир Капија</option>
-    <option value="12">Демир Хисар</option>
-    <option value="13">Кавадарци</option>
-    <option value="14">Кичево</option>
-    <option value="15">Кочани</option>
-    <option value="16">Кратово</option>
-    <option value="17">Крива Паланка</option>
-    <option value="18">Крушево</option>
-    <option value="19">Куманово</option>
-    <option value="20">Македонска Каменица</option>
-    <option value="21">Македонски Брод</option>
-    <option value="22">Неготино</option>
-    <option value="23">Охрид</option>
-    <option value="24">Пехчево</option>
-    <option value="25">Прилеп</option>
-    <option value="26">Пропиштип</option>
-    <option value="27">Радовиш</option>
-    <option value="28">Ресен</option>
-    <option value="29">Свети Николе</option>
-    <option value="30">Скопје</option>
-    <option value="31">Струга</option>
-    <option value="32">Струмица</option>
-    <option value="33">Тетово</option>
-    <option value="34">Штип</option>
-    </select>
-    </div>
-    *@
-
-        <div class="form-group">
-            <label asp-for="citiesid" class="control-label"></label>
-            <select asp-for="citiesid" asp-items="ViewBag.Citiess" class="form-control"></select>
-            <span asp-validation-for="citiesid" class="text-danger"></span>
-        </div>
-        <div class="form-group">
-            <div class="col-md-offset-2 col-md-10">
-                <input type="submit" value="Create" class="btn btn-default" />
-            </div>
+    
+<div class="form-horizontal">
+    <h4>VetCenter</h4>
+    <hr />
+    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
+    <div class="form-group">
+        @Html.LabelFor(model => model.name, htmlAttributes: new { @class = "control-label col-md-2" })
+        <div class="col-md-10">
+            @Html.EditorFor(model => model.name, new { htmlAttributes = new { @class = "form-control" } })
+            @Html.ValidationMessageFor(model => model.name, "", new { @class = "text-danger" })
         </div>
     </div>
+
+    <div class="form-group">
+        @Html.LabelFor(model => model.adress, htmlAttributes: new { @class = "control-label col-md-2" })
+        <div class="col-md-10">
+            @Html.EditorFor(model => model.adress, new { htmlAttributes = new { @class = "form-control" } })
+            @Html.ValidationMessageFor(model => model.adress, "", new { @class = "text-danger" })
+        </div>
+    </div>
+    <div class="form-group">
+        @Html.LabelFor(model => model.description, htmlAttributes: new { @class = "control-label col-md-2" })
+        <div class="col-md-10">
+            @Html.EditorFor(model => model.description, new { htmlAttributes = new { @class = "form-control" } })
+            @Html.ValidationMessageFor(model => model.description, "", new { @class = "text-danger" })
+        </div>
+    </div>
+    <div class="form-group">
+        @Html.LabelFor(model => model.workinghours, htmlAttributes: new { @class = "control-label col-md-2" })
+        <div class="col-md-10">
+            @Html.EditorFor(model => model.workinghours, new { htmlAttributes = new { @class = "form-control" } })
+            @Html.ValidationMessageFor(model => model.workinghours, "", new { @class = "text-danger" })
+        </div>
+    </div>
+
+    <div class="form-group">
+        @Html.LabelFor(model => model.phonenumber, htmlAttributes: new { @class = "control-label col-md-2" })
+        <div class="col-md-10">
+            @Html.EditorFor(model => model.phonenumber, new { htmlAttributes = new { @class = "form-control" } })
+            @Html.ValidationMessageFor(model => model.phonenumber, "", new { @class = "text-danger" })
+        </div>
+    </div>
+    <div class="form-group">
+        @Html.LabelFor(model => model.latitude, htmlAttributes: new { @class = "control-label col-md-2" })
+        <div class="col-md-10">
+            @Html.EditorFor(model => model.latitude, new { htmlAttributes = new { @class = "form-control" } })
+            @Html.ValidationMessageFor(model => model.latitude, "", new { @class = "text-danger" })
+        </div>
+    </div>
+    <div class="form-group">
+        @Html.LabelFor(model => model.longitude, htmlAttributes: new { @class = "control-label col-md-2" })
+        <div class="col-md-10">
+            @Html.EditorFor(model => model.longitude, new { htmlAttributes = new { @class = "form-control" } })
+            @Html.ValidationMessageFor(model => model.longitude, "", new { @class = "text-danger" })
+        </div>
+    </div>
+    @*<div class="form-group">
+            @Html.LabelFor(model => model.citiesid, htmlAttributes: new { @class = "control-label col-md-2" })
+            <div class="col-md-10">
+                @Html.EditorFor(model => model.citiesid, new { htmlAttributes = new { @class = "form-control" } })
+                @Html.ValidationMessageFor(model => model.citiesid, "", new { @class = "text-danger" })
+            </div>
+        </div>*@
+
+    <div class="form-group">
+        <label for="citiesid">Citie:</label>
+        <select class="form-control" id="citiesid" name="citiesid">
+            <option value="">Select city</option>
+            <option value="1">Скопје</option>
+            <option value="1">Охрид</option>
+            <option value="1">Скопје</option>
+           @*  <option value="1">Берово</option>
+            <option value="2">Битола</option>
+            <option value="3">Богданци</option>
+            <option value="4">Валандово</option>
+            <option value="5">Велес</option>
+            <option value="6">Виница</option>
+            <option value="7">Гевгелија</option>
+            <option value="8">Гостивар</option>
+            <option value="9">Дебар</option>
+            <option value="10">Делчево</option>
+            <option value="11">Демир Капија</option>
+            <option value="12">Демир Хисар</option>
+            <option value="13">Кавадарци</option>
+            <option value="14">Кичево</option>
+            <option value="15">Кочани</option>
+            <option value="16">Кратово</option>
+            <option value="17">Крива Паланка</option>
+            <option value="18">Крушево</option>
+            <option value="19">Куманово</option>
+            <option value="20">Македонска Каменица</option>
+            <option value="21">Македонски Брод</option>
+            <option value="22">Неготино</option>
+            <option value="23">Охрид</option>
+            <option value="24">Пехчево</option>
+            <option value="25">Прилеп</option>
+            <option value="26">Пропиштип</option>
+            <option value="27">Радовиш</option>
+            <option value="28">Ресен</option>
+            <option value="29">Свети Николе</option>
+            <option value="30">Скопје</option>
+            <option value="31">Струга</option>
+            <option value="32">Струмица</option>
+            <option value="33">Тетово</option>
+            <option value="34">Штип</option> *@
+        </select>
+    </div>
+
+    <div class="form-group">
+        <div class="col-md-offset-2 col-md-10">
+            <input type="submit" value="Create" class="btn btn-default" />
+        </div>
+    </div>
+</div>
 }
 
Index: PostgreSqlDotnetCore/Views/VetCenter/Details.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/VetCenter/Details.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/VetCenter/Details.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -1,3 +1,3 @@
-﻿@model PostgreSqlDotnetCore.Models.VetCenterWithCity
+﻿@model PostgreSqlDotnetCore.Models.VetCenter
 
 @{
@@ -5,50 +5,73 @@
 }
 
-<h2>Details for @Model.vet_center_name</h2>
+<h2>Details</h2>
 
-<table class="table">
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.vet_center_name)</th>
-        <td>@Html.DisplayFor(model => model.vet_center_name)</td>
-    </tr>
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.adress)</th>
-        <td>@Html.DisplayFor(model => model.adress)</td>
-    </tr>
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.workinghours)</th>
-        <td>@Html.DisplayFor(model => model.workinghours)</td>
-    </tr>
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.description)</th>
-        <td>@Html.DisplayFor(model => model.description)</td>
-    </tr>
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.phonenumber)</th>
-        <td>@Html.DisplayFor(model => model.phonenumber)</td>
-    </tr>
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.latitude)</th>
-        <td>@Html.DisplayFor(model => model.latitude)</td>
-    </tr>
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.longitude)</th>
-        <td>@Html.DisplayFor(model => model.longitude)</td>
-    </tr>
-    <tr>
-        <th>@Html.DisplayNameFor(model => model.city_name)</th>
-        <td>@Html.DisplayFor(model => model.city_name)</td>
-    </tr>
-</table>
+<div>
+    <h4>VetCenter</h4>
+    <hr />
+    <dl class="dl-horizontal">
+        <dt>
+            @Html.DisplayNameFor(model => model.name)
+        </dt>
 
-@if (ViewBag.hasAccess != null && ViewBag.hasAccess == true)
-{
-    <p>
-        @Html.ActionLink("Edit", "Edit", new { id = Model.id }) |
-        @Html.ActionLink("Delete", "Delete", new { id = Model.id })
-    </p>
-}
+        <dd>
+            @Html.DisplayFor(model => model.name)
+        </dd>
 
+        <dt>
+            @Html.DisplayNameFor(model => model.adress)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.adress)
+        </dd>
+        <dt>
+            @Html.DisplayNameFor(model => model.description)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.description)
+        </dd>
+        <dt>
+            @Html.DisplayNameFor(model => model.workinghours)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.workinghours)
+        </dd>
+        <dt>
+            @Html.DisplayNameFor(model => model.phonenumber)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.phonenumber)
+        </dd>
+        <dt>
+            @Html.DisplayNameFor(model => model.latitude)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.latitude)
+        </dd>
+        <dt>
+            @Html.DisplayNameFor(model => model.longitude)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.longitude)
+        </dd>
+        <dt>
+            @Html.DisplayNameFor(model => model.citiesid)
+        </dt>
+
+        <dd>
+            @Html.DisplayFor(model => model.citiesid)
+        </dd>
+
+
+    </dl>
+</div>
 <p>
+    @Html.ActionLink("Edit", "Edit", new { id = Model.id }) |
     @Html.ActionLink("Back to List", "Index")
 </p>
Index: PostgreSqlDotnetCore/Views/VetCenter/Edit.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/VetCenter/Edit.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/VetCenter/Edit.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -75,5 +75,5 @@
         </div>
     </div> *@
-      @*  <div class="form-group">
+        <div class="form-group">
             <label for="citiesid">Citie:</label>
             <select class="form-control" id="citiesid" name="citiesid">
@@ -84,10 +84,5 @@
             </select>
         </div>
-        *@
-        <div class="form-group">
-            <label asp-for="citiesid" class="control-label"></label>
-            <select asp-for="citiesid" asp-items="ViewBag.Citiess" class="form-control"></select>
-            <span asp-validation-for="citiesid" class="text-danger"></span>
-        </div>
+
 
     <div class="form-group">
Index: PostgreSqlDotnetCore/Views/VetCenter/Index.cshtml
===================================================================
--- PostgreSqlDotnetCore/Views/VetCenter/Index.cshtml	(revision a3ce071e97bad04f989c769589a31427febe9ff3)
+++ PostgreSqlDotnetCore/Views/VetCenter/Index.cshtml	(revision 2aea0fddc0f6d0c25f0d44044eeb2ec5930012b9)
@@ -1,7 +1,5 @@
 ﻿@using Microsoft.AspNetCore.Identity
 @inject SignInManager<IdentityUser> SignInManager
-@* IEnumerable<PostgreSqlDotnetCore.Models.VetCenter>*@
-@model IEnumerable<PostgreSqlDotnetCore.Models.VetCenterWithCity>
-
+@model IEnumerable<PostgreSqlDotnetCore.Models.VetCenter>
 
 @{
@@ -11,19 +9,11 @@
 <h2>Vet Center</h2>
 
-@*<p>
+<p>
     @Html.ActionLink("Create New", "Create")
 </p>
-*@
-@if (ViewBag.hasAccess != null && ViewBag.hasAccess == true)
-{
-    <p>
-        @Html.ActionLink("Create New", "Create")
-    </p>
-}
-
 <table class="table">
     <tr>
         <th>
-            @Html.DisplayNameFor(model => model.vet_center_name)
+            @Html.DisplayNameFor(model => model.name)
         </th>
         <th>
@@ -34,9 +24,7 @@
             @Html.DisplayNameFor(model => model.workinghours)
         </th>
-        @*
         <th>
             @Html.DisplayNameFor(model => model.description)
         </th>
-        *@
         <th>
             @Html.DisplayNameFor(model => model.phonenumber)
@@ -49,5 +37,5 @@
         </th>
         <th>
-            @Html.DisplayNameFor(model => model.city_name)
+            @Html.DisplayNameFor(model => model.citiesid)
         </th>
         <th></th>
@@ -58,5 +46,5 @@
         <tr>
             <td>
-                @Html.DisplayFor(modelItem => item.vet_center_name)
+                @Html.DisplayFor(modelItem => item.name)
             </td>
             <td>
@@ -66,8 +54,8 @@
                 @Html.DisplayFor(modelItem => item.workinghours)
             </td>
-           @* <td>
+            <td>
                 @Html.DisplayFor(modelItem => item.description)
             </td>
-            *@
+
             <td>
                 @Html.DisplayFor(modelItem => item.phonenumber)
@@ -80,5 +68,5 @@
             </td>
             <td>
-                @Html.DisplayFor(modelItem => item.city_name)
+                @Html.DisplayFor(modelItem => item.citiesid)
             </td>
             <td>
@@ -89,25 +77,12 @@
             </td>
 
-
-
-            @*   @if ((SignInManager.IsSignedIn(User)))
-        {
-        <td>
-
-        @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
-        @Html.ActionLink("Details", "Details", new { id = item.id }) |
-        @Html.ActionLink("Delete", "Delete", new { id = item.id })
-
-        </td>
-        }
-        *@
-
-            @* Додадете условие за проверка на улогите *@
-            @if (SignInManager.IsSignedIn(User) && (ViewBag.hasAccess != null && ViewBag.hasAccess == true))
+            @if (SignInManager.IsSignedIn(User))
             {
                 <td>
+
                     @Html.ActionLink("Edit", "Edit", new { id = item.id }) |
                     @Html.ActionLink("Details", "Details", new { id = item.id }) |
                     @Html.ActionLink("Delete", "Delete", new { id = item.id })
+
                 </td>
             }
